

import java.io.*;



public class class1  {
   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  public static void main(String[] args) {
    Integer I;
    I = new Integer(2);
    System.out.println( I.getI()  );
    I.add(44);
    System.out.println( I.getI()  );
    pause();
  }
}

abstract class Number {

  abstract public long getValue();

}

class Integer extends Number  {
  private int i;
  public Integer(int i) {
    this.i=i;
  }

  public long getValue() {
    return i;
  }

  public int getI() {
    return i;
  }
  public void setI(int i) {
    this.i=i;
  }
  public String toString() {
    return "I: "+i;
  }

  public void add(int k) {
    this.i+=k;
  }

}
